<ng-container *appVar="(userProfile$ | async) as userProfile">
  <ng-container *ngIf="!isNil(userProfile.user)">
    <div
      class="title-h2">{{userProfile.user.firstName}} {{userProfile.user.middleName}} {{userProfile.user.lastName}}</div>

    <div class="m-t-8 body-1 text-secondary">
      <span class="company-meta-info">ИНН: {{userProfile.user.inn}}</span> |
    </div>

    <div class="container m-t-24">
      <ng-container *ngIf="!isNil(referalUrl)">
        <div class="title-h3">
          Реферальная ссылка
        </div>

        <mat-form-field appearance="fill"
                        class="m-t-8 input"
        >
          <input matInput type="text" [value]="referalUrl">
          <button mat-icon-button matSuffix (click)="copyReferalCode()">
            <mat-icon>content_copy</mat-icon>
          </button>
        </mat-form-field>
      </ng-container>

      <ng-container *ngIf="!isNil(telegramCode) && isNil(userProfile.telegramId)">
        <div class="title-h3">
          Код для подключения Telegram
        </div>

        <mat-form-field appearance="fill"
                        class="m-t-8 input"
        >
          <input matInput type="text" [value]="telegramCode">
          <button mat-icon-button matSuffix (click)="copyTelegramCode()">
            <mat-icon>content_copy</mat-icon>
          </button>
        </mat-form-field>
      </ng-container>
    </div>
  </ng-container>
</ng-container>
